﻿.whatsapp-btn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1001;
    background-color: #25d366;
    padding: 12px;
    border-radius: 50%;
    box-shadow: 0 2px 5px rgba(0,0,0,0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
    text-decoration: none;
}

    .whatsapp-btn:hover {
        transform: scale(1.1);
    }

    .whatsapp-btn img {
        width: 40px;
        height: 40px;
    }

.whatsapp-text {
    display: none;
}

/* Vista móvil */
@media (max-width: 768px) {
    .whatsapp-btn {
        position: static;
        width: 100%;
        border-radius: 0;
        justify-content: center;
        padding: 15px;
        margin-top: 20px;
        background-color: #25d366;
    }

        .whatsapp-btn img {
            width: 28px;
            height: 28px;
            margin-right: 10px;
        }

    .whatsapp-text {
        display: inline;
        color: white;
        font-weight: bold;
        font-size: 1rem;
    }
}
@keyframes pulse {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7);
    }

    70% {
        transform: scale(1.05);
        box-shadow: 0 0 0 10px rgba(37, 211, 102, 0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0);
    }
}

/* Aplica la animación al botón */
.whatsapp-btn {
    animation: pulse 2s infinite;
}
